From ebc78e8788f83e8fda0e146758af43b878125c10 Mon Sep 17 00:00:00 2001
From: "armslave.yy" <armslave.yy@alibaba-inc.com>
Date: Sat, 12 Sep 2020 17:46:44 +0800
Subject: [PATCH] refactor: code-generator code style
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

1. rax 出码合并
2. code style 修复

注：合并的代码中带了 datasource 的

Link: https://code.aone.alibaba-inc.com/ali-lowcode/ali-lowcode-engine/codereview/3717159

* Merge branch 'feat/rax-code-generator' of gitlab.alibaba-inc.com:ali-lowcode/ali-lowcode-engine into feat/rax-code-generator

# Conflicts:
#	packages/code-generator/src/generator/ProjectBuilder.ts
#	packages/code-generator/src/parser/SchemaParser.ts
#	packages/code-generator/src/plugins/component/rax/jsx.ts
#	packages/code-generator/src/plugins/project/constants.ts
#	packages/code-generator/src/plugins/project/framework/rax/plugins/packageJSON.ts
#	packages/code-generator/src/plugins/project/i18n.ts
#	packages/code-generator/src/publisher/disk/index.ts
#	packages/code-generator/src/publisher/disk/utils.ts
#	packages/code-generator/src/types/core.ts
#	packages/code-generator/src/types/schema.ts
#	packages/code-generator/src/utils/compositeType.ts
#	packages/code-generator/src/utils/nodeToJSX.ts

* refactor: code-generator

* Merge remote-tracking branch 'origin/refactor/code-style' into refactor/code-style-code-generator

# Conflicts:
#	.vscode/launch.json
---
 .eslintignore                                 |   2 +
 .vscode/launch.json                           |  11 +-
 packages/code-generator/.eslintignore         |   1 +
 packages/code-generator/README.md             |  26 +-
 packages/code-generator/build.json            |   5 +
 packages/code-generator/demo/demo.js          |  12 +-
 packages/code-generator/package.json          |  21 +-
 .../code-generator/src/const/generator.ts     |  33 +-
 .../src/generator/ChunkBuilder.ts             |   2 +
 .../src/generator/CodeBuilder.ts              |  38 +-
 .../src/generator/ModuleBuilder.ts            |  27 +-
 .../src/generator/ProjectBuilder.ts           |  57 ++-
 packages/code-generator/src/index.ts          |  14 +-
 .../code-generator/src/model/ResultDir.ts     |  33 --
 .../code-generator/src/model/ResultFile.ts    |  15 -
 .../code-generator/src/parser/SchemaParser.ts |  80 +--
 .../src/plugins/common/esmodule.ts            |  46 +-
 .../src/plugins/common/requireUtils.ts        |   8 +-
 .../src/plugins/component/rax/commonDeps.ts   |  35 ++
 .../src/plugins/component/rax/const.ts        |  18 +
 .../plugins/component/rax/containerClass.ts   | 144 ++++++
 .../component/rax/containerInitState.ts       |  68 +++
 .../component/rax/containerInjectContext.ts   | 116 +++++
 .../rax/containerInjectDataSourceEngine.ts    | 157 ++++++
 .../component/rax/containerInjectUtils.ts     |  74 +++
 .../component/rax/containerLifeCycle.ts       | 120 +++++
 .../plugins/component/rax/containerMethods.ts |  95 ++++
 .../src/plugins/component/rax/jsx.ts          | 350 +++++++++++++
 .../plugins/component/react/containerClass.ts |  26 +-
 .../component/react/containerDataSource.ts    |   7 +-
 .../component/react/containerInitState.ts     |   6 +-
 .../component/react/containerLifeCycle.ts     |   2 +-
 .../component/react/containerMethod.ts        |   2 +-
 .../src/plugins/component/react/jsx.ts        |  15 +-
 .../component/react/reactCommonDeps.ts        |   1 -
 .../src/plugins/component/recore/const.ts     |   3 -
 .../component/recore/pageDataSource.ts        |  13 +-
 .../src/plugins/component/recore/pageStyle.ts |   2 +-
 .../plugins/component/recore/pageVmBody.ts    |  30 +-
 .../plugins/component/recore/pageVmHeader.ts  |   7 +-
 .../src/plugins/project/constants.ts          |  59 ++-
 .../project/framework/icejs/plugins/entry.ts  |   8 +-
 .../framework/icejs/plugins/entryHtml.ts      |   4 +-
 .../framework/icejs/plugins/packageJSON.ts    |   9 +-
 .../project/framework/icejs/plugins/router.ts |   4 +-
 .../icejs/template/files/README.md.ts         |   8 +-
 .../icejs/template/files/abc.json.ts          |  20 +-
 .../icejs/template/files/build.json.ts        |  22 +-
 .../icejs/template/files/editorconfig.ts      |   8 +-
 .../icejs/template/files/eslintignore.ts      |   8 +-
 .../icejs/template/files/eslintrc.js.ts       |   8 +-
 .../icejs/template/files/gitignore.ts         |   8 +-
 .../icejs/template/files/jsconfig.json.ts     |   8 +-
 .../icejs/template/files/prettierignore.ts    |   8 +-
 .../icejs/template/files/prettierrc.js.ts     |   8 +-
 .../components/Footer/index.jsx.ts            |   8 +-
 .../components/Footer/index.module.scss.ts    |   8 +-
 .../BasicLayout/components/Logo/index.jsx.ts  |   8 +-
 .../components/Logo/index.module.scss.ts      |   8 +-
 .../components/PageNav/index.jsx.ts           |   8 +-
 .../src/layouts/BasicLayout/index.jsx.ts      |   8 +-
 .../src/layouts/BasicLayout/menuConfig.js.ts  |   8 +-
 .../icejs/template/files/stylelintignore.ts   |   8 +-
 .../icejs/template/files/stylelintrc.js.ts    |   8 +-
 .../icejs/template/files/tsconfig.json.ts     |   8 +-
 .../project/framework/icejs/template/index.ts |  13 +-
 .../plugins/project/framework/rax/index.ts    |  19 +
 .../framework/rax/plugins/appConfig.ts        |  46 ++
 .../framework/rax/plugins/buildConfig.ts      |  52 ++
 .../project/framework/rax/plugins/entry.ts    |  51 ++
 .../framework/rax/plugins/entryDocument.ts    |  59 +++
 .../framework/rax/plugins/globalStyle.ts      |  64 +++
 .../framework/rax/plugins/packageJSON.ts      | 115 +++++
 .../framework/rax/template/files/README.md.ts |  27 +
 .../framework/rax/template/files/abc.json.ts  |  19 +
 .../rax/template/files/build.json.ts          |  24 +
 .../rax/template/files/editorconfig.ts        |  25 +
 .../rax/template/files/eslintignore.ts        |  23 +
 .../rax/template/files/eslintrc.js.ts         |  16 +
 .../framework/rax/template/files/gitignore.ts |  29 ++
 .../project/framework/rax/template/index.ts   |  78 +++
 .../recore/template/files/.editorconfig.ts    |  10 +-
 .../recore/template/files/.eslintignore.ts    |   9 +-
 .../recore/template/files/.gitignore.ts       |  10 +-
 .../recore/template/files/.prettierrc.ts      |  10 +-
 .../recore/template/files/README.md.ts        |   9 +-
 .../recore/template/files/abc.json.ts         |   9 +-
 .../recore/template/files/build.json.ts       |   9 +-
 .../recore/template/files/package.json.ts     |   9 +-
 .../template/files/public/index.html.ts       |   9 +-
 .../template/files/src/config/app.ts.ts       |   9 +-
 .../files/src/config/components.ts.ts         |  11 +-
 .../template/files/src/config/utils.ts.ts     |   9 +-
 .../recore/template/files/src/index.ts.ts     |   9 +-
 .../recore/template/files/src/router.ts.ts    |   9 +-
 .../recore/template/files/tsconfig.json.ts    |   9 +-
 .../framework/recore/template/index.ts        |  12 +-
 .../src/plugins/project/i18n.ts               | 104 ++--
 .../src/plugins/project/utils.ts              |  12 +-
 .../src/postprocessor/prettier/index.ts       |   2 +
 .../src/publisher/disk/index.ts               |  35 +-
 .../src/publisher/disk/utils.ts               |  48 +-
 .../code-generator/src/publisher/zip/index.ts |  11 +-
 .../code-generator/src/publisher/zip/utils.ts |  26 +-
 .../code-generator/src/solutions/rax-app.ts   |  66 +++
 packages/code-generator/src/types/core.ts     | 135 ++---
 packages/code-generator/src/types/deps.ts     |   2 +-
 packages/code-generator/src/types/error.ts    |  13 +-
 packages/code-generator/src/types/index.ts    |   3 +-
 .../code-generator/src/types/intermediate.ts  |  44 +-
 packages/code-generator/src/types/jsx.ts      |  29 ++
 .../code-generator/src/types/publisher.ts     |  10 +-
 packages/code-generator/src/types/result.ts   |  88 ----
 packages/code-generator/src/types/schema.ts   | 241 ---------
 .../code-generator/src/utils/OrderedSet.ts    |  33 ++
 packages/code-generator/src/utils/Scope.ts    |  27 +
 .../code-generator/src/utils/ScopeBindings.ts |  56 ++
 .../code-generator/src/utils/aopHelper.ts     |  28 +
 packages/code-generator/src/utils/common.ts   |   4 +-
 .../code-generator/src/utils/compositeType.ts | 187 ++++---
 .../src/utils/expressionParser.ts             | 243 +++++++++
 .../code-generator/src/utils/jsExpression.ts  |  21 +-
 packages/code-generator/src/utils/jsSlot.ts   |  40 +-
 .../code-generator/src/utils/nodeToJSX.ts     | 482 ++++++++++--------
 .../code-generator/src/utils/resultHelper.ts  |  35 ++
 packages/code-generator/src/utils/schema.ts   |  87 ++++
 .../src/utils/templateHelper.ts               |  22 +-
 packages/code-generator/src/utils/version.ts  |  29 ++
 packages/code-generator/test-cases/.gitignore |   1 +
 .../demo1/expected/demo-project/.editorconfig |  12 +
 .../demo1/expected/demo-project/.eslintignore |  11 +
 .../demo1/expected/demo-project/.eslintrc.js  |   3 +
 .../demo1/expected/demo-project/.gitignore    |  17 +
 .../demo1/expected/demo-project/README.md     |  15 +
 .../demo1/expected/demo-project/abc.json      |   7 +
 .../demo1/expected/demo-project/build.json    |  12 +
 .../demo1/expected/demo-project/package.json  |  37 ++
 .../demo1/expected/demo-project/src/app.js    |   6 +
 .../demo1/expected/demo-project/src/app.json  |  11 +
 .../expected/demo-project/src/constants.js    |   3 +
 .../demo-project/src/document/index.jsx       |  25 +
 .../expected/demo-project/src/global.scss     |   3 +
 .../demo1/expected/demo-project/src/i18n.js   |  31 ++
 .../demo-project/src/pages/Home/index.css     |   0
 .../demo-project/src/pages/Home/index.jsx     | 157 ++++++
 .../demo1/expected/demo-project/src/utils.js  |   1 +
 .../test-cases/rax-app/demo1/schema.json5     |  55 ++
 .../demo2/expected/demo-project/.editorconfig |  12 +
 .../demo2/expected/demo-project/.eslintignore |  11 +
 .../demo2/expected/demo-project/.eslintrc.js  |   3 +
 .../demo2/expected/demo-project/.gitignore    |  17 +
 .../demo2/expected/demo-project/README.md     |  15 +
 .../demo2/expected/demo-project/abc.json      |   7 +
 .../demo2/expected/demo-project/build.json    |  12 +
 .../demo2/expected/demo-project/package.json  |  41 ++
 .../demo2/expected/demo-project/src/app.js    |   6 +
 .../demo2/expected/demo-project/src/app.json  |  11 +
 .../expected/demo-project/src/constants.js    |   3 +
 .../demo-project/src/document/index.jsx       |  25 +
 .../expected/demo-project/src/global.scss     |   9 +
 .../demo2/expected/demo-project/src/i18n.js   |  31 ++
 .../demo-project/src/pages/Home/index.css     |   0
 .../demo-project/src/pages/Home/index.jsx     | 340 ++++++++++++
 .../demo2/expected/demo-project/src/utils.js  |  26 +
 .../test-cases/rax-app/demo2/schema.json5     | 375 ++++++++++++++
 .../demo3/expected/demo-project/.editorconfig |  12 +
 .../demo3/expected/demo-project/.eslintignore |  11 +
 .../demo3/expected/demo-project/.eslintrc.js  |   3 +
 .../demo3/expected/demo-project/.gitignore    |  17 +
 .../demo3/expected/demo-project/README.md     |  15 +
 .../demo3/expected/demo-project/abc.json      |   7 +
 .../demo3/expected/demo-project/build.json    |  12 +
 .../demo3/expected/demo-project/package.json  |  39 ++
 .../demo3/expected/demo-project/src/app.js    |   6 +
 .../demo3/expected/demo-project/src/app.json  |  19 +
 .../expected/demo-project/src/constants.js    |   3 +
 .../demo-project/src/document/index.jsx       |  25 +
 .../expected/demo-project/src/global.scss     |   9 +
 .../demo3/expected/demo-project/src/i18n.js   |  31 ++
 .../demo-project/src/pages/Detail/index.css   |   0
 .../demo-project/src/pages/Detail/index.jsx   | 168 ++++++
 .../demo-project/src/pages/Home/index.css     |   0
 .../demo-project/src/pages/Home/index.jsx     | 168 ++++++
 .../demo-project/src/pages/List/index.css     |   0
 .../demo-project/src/pages/List/index.jsx     | 171 +++++++
 .../demo3/expected/demo-project/src/utils.js  |   1 +
 .../test-cases/rax-app/demo3/schema.json5     | 176 +++++++
 .../test-cases/rax-app/demo4/README.md        |   1 +
 .../demo4/expected/demo-project/.editorconfig |  12 +
 .../demo4/expected/demo-project/.eslintignore |  11 +
 .../demo4/expected/demo-project/.eslintrc.js  |   3 +
 .../demo4/expected/demo-project/.gitignore    |  17 +
 .../demo4/expected/demo-project/README.md     |  15 +
 .../demo4/expected/demo-project/abc.json      |   7 +
 .../demo4/expected/demo-project/build.json    |  15 +
 .../demo4/expected/demo-project/package.json  |  39 ++
 .../demo4/expected/demo-project/src/app.js    |   6 +
 .../demo4/expected/demo-project/src/app.json  |  11 +
 .../expected/demo-project/src/constants.js    |   3 +
 .../demo-project/src/document/index.jsx       |  25 +
 .../expected/demo-project/src/global.scss     |   9 +
 .../demo4/expected/demo-project/src/i18n.js   |  31 ++
 .../demo-project/src/pages/Home/index.css     |   0
 .../demo-project/src/pages/Home/index.jsx     | 165 ++++++
 .../demo4/expected/demo-project/src/utils.js  |   1 +
 .../test-cases/rax-app/demo4/schema.json5     |  85 +++
 .../demo5/expected/demo-project/.editorconfig |  12 +
 .../demo5/expected/demo-project/.eslintignore |  11 +
 .../demo5/expected/demo-project/.eslintrc.js  |   3 +
 .../demo5/expected/demo-project/.gitignore    |  17 +
 .../demo5/expected/demo-project/README.md     |  15 +
 .../demo5/expected/demo-project/abc.json      |   7 +
 .../demo5/expected/demo-project/build.json    |  12 +
 .../demo5/expected/demo-project/package.json  |  37 ++
 .../demo5/expected/demo-project/src/app.js    |   6 +
 .../demo5/expected/demo-project/src/app.json  |  11 +
 .../expected/demo-project/src/constants.js    |   3 +
 .../demo-project/src/document/index.jsx       |  25 +
 .../expected/demo-project/src/global.scss     |   3 +
 .../demo5/expected/demo-project/src/i18n.js   |  38 ++
 .../demo-project/src/pages/Home/index.css     |   0
 .../demo-project/src/pages/Home/index.jsx     | 163 ++++++
 .../demo5/expected/demo-project/src/utils.js  |   1 +
 .../test-cases/rax-app/demo5/schema.json5     |  73 +++
 packages/code-generator/test/rax-app.test.ts  | 118 +++++
 ...parseExpressionConvertThis2Context.test.ts |  79 +++
 .../parseExpressionGetGlobalVariables.test.ts | 114 +++++
 .../code-generator/test/utils/version.test.ts |  50 ++
 .../code-generator/tools/createTemplate.js    |  10 +-
 packages/code-generator/tsconfig.json         |  11 +-
 packages/datasource-engine/.gitignore         |   5 +
 .../handlers/fetch/index.d.ts                 |   1 +
 .../datasource-engine/handlers/fetch/index.js |   1 +
 .../handlers/mtop/index.d.ts                  |   1 +
 .../datasource-engine/handlers/mtop/index.js  |   1 +
 .../handlers/url-params/index.d.ts            |   1 +
 .../handlers/url-params/index.js              |   1 +
 packages/datasource-engine/package.json       |  34 ++
 .../src/core/DataSourceEngine.ts              | 121 +++++
 .../src/core/RuntimeDataSource.ts             |  91 ++++
 packages/datasource-engine/src/core/index.ts  |   1 +
 .../datasource-engine/src/handlers/fetch.ts   |  24 +
 .../datasource-engine/src/handlers/mtop.ts    |  18 +
 .../src/handlers/url-params.ts                |  12 +
 packages/datasource-engine/src/index.ts       |   2 +
 .../src/types/DataSourceConfig.ts             |   6 +
 .../src/types/DataSourceConfigItem.ts         |  17 +
 .../src/types/DataSourceEngineOptions.ts      |   7 +
 .../src/types/DataSourceOptions.ts            |  10 +
 .../src/types/DataSourceResponse.ts           |   3 +
 .../src/types/IDataSourceEngine.ts            |   9 +
 .../src/types/IDataSourceEngineFactory.ts     |  12 +
 .../src/types/IRuntimeContext.ts              |  24 +
 .../src/types/IRuntimeDataSource.ts           |  22 +
 .../src/types/RequestHandler.ts               |   7 +
 .../src/types/RuntimeDataSourceStatus.ts      |  14 +
 packages/datasource-engine/src/types/index.ts |   1 +
 packages/datasource-engine/src/typing.d.ts    |   1 +
 packages/datasource-engine/tsconfig.json      |  80 +++
 packages/types/src/code-intermediate.ts       |  14 +
 packages/types/src/code-result.ts             |  59 +++
 packages/types/src/data-source.ts             |  26 +-
 packages/types/src/index.ts                   |   2 +
 packages/types/src/schema.ts                  |  41 +-
 packages/types/src/utils.ts                   |  22 +-
 packages/types/src/value-type.ts              |  35 +-
 266 files changed, 7819 insertions(+), 1393 deletions(-)
 create mode 100644 packages/code-generator/.eslintignore
 create mode 100644 packages/code-generator/build.json
 delete mode 100644 packages/code-generator/src/model/ResultDir.ts
 delete mode 100644 packages/code-generator/src/model/ResultFile.ts
 create mode 100644 packages/code-generator/src/plugins/component/rax/commonDeps.ts
 create mode 100644 packages/code-generator/src/plugins/component/rax/const.ts
 create mode 100644 packages/code-generator/src/plugins/component/rax/containerClass.ts
 create mode 100644 packages/code-generator/src/plugins/component/rax/containerInitState.ts
 create mode 100644 packages/code-generator/src/plugins/component/rax/containerInjectContext.ts
 create mode 100644 packages/code-generator/src/plugins/component/rax/containerInjectDataSourceEngine.ts
 create mode 100644 packages/code-generator/src/plugins/component/rax/containerInjectUtils.ts
 create mode 100644 packages/code-generator/src/plugins/component/rax/containerLifeCycle.ts
 create mode 100644 packages/code-generator/src/plugins/component/rax/containerMethods.ts
 create mode 100644 packages/code-generator/src/plugins/component/rax/jsx.ts
 delete mode 100644 packages/code-generator/src/plugins/component/recore/const.ts
 create mode 100644 packages/code-generator/src/plugins/project/framework/rax/index.ts
 create mode 100644 packages/code-generator/src/plugins/project/framework/rax/plugins/appConfig.ts
 create mode 100644 packages/code-generator/src/plugins/project/framework/rax/plugins/buildConfig.ts
 create mode 100644 packages/code-generator/src/plugins/project/framework/rax/plugins/entry.ts
 create mode 100644 packages/code-generator/src/plugins/project/framework/rax/plugins/entryDocument.ts
 create mode 100644 packages/code-generator/src/plugins/project/framework/rax/plugins/globalStyle.ts
 create mode 100644 packages/code-generator/src/plugins/project/framework/rax/plugins/packageJSON.ts
 create mode 100644 packages/code-generator/src/plugins/project/framework/rax/template/files/README.md.ts
 create mode 100644 packages/code-generator/src/plugins/project/framework/rax/template/files/abc.json.ts
 create mode 100644 packages/code-generator/src/plugins/project/framework/rax/template/files/build.json.ts
 create mode 100644 packages/code-generator/src/plugins/project/framework/rax/template/files/editorconfig.ts
 create mode 100644 packages/code-generator/src/plugins/project/framework/rax/template/files/eslintignore.ts
 create mode 100644 packages/code-generator/src/plugins/project/framework/rax/template/files/eslintrc.js.ts
 create mode 100644 packages/code-generator/src/plugins/project/framework/rax/template/files/gitignore.ts
 create mode 100644 packages/code-generator/src/plugins/project/framework/rax/template/index.ts
 create mode 100644 packages/code-generator/src/solutions/rax-app.ts
 create mode 100644 packages/code-generator/src/types/jsx.ts
 delete mode 100644 packages/code-generator/src/types/result.ts
 delete mode 100644 packages/code-generator/src/types/schema.ts
 create mode 100644 packages/code-generator/src/utils/OrderedSet.ts
 create mode 100644 packages/code-generator/src/utils/Scope.ts
 create mode 100644 packages/code-generator/src/utils/ScopeBindings.ts
 create mode 100644 packages/code-generator/src/utils/aopHelper.ts
 create mode 100644 packages/code-generator/src/utils/expressionParser.ts
 create mode 100644 packages/code-generator/src/utils/resultHelper.ts
 create mode 100644 packages/code-generator/src/utils/schema.ts
 create mode 100644 packages/code-generator/src/utils/version.ts
 create mode 100644 packages/code-generator/test-cases/.gitignore
 create mode 100644 packages/code-generator/test-cases/rax-app/demo1/expected/demo-project/.editorconfig
 create mode 100644 packages/code-generator/test-cases/rax-app/demo1/expected/demo-project/.eslintignore
 create mode 100644 packages/code-generator/test-cases/rax-app/demo1/expected/demo-project/.eslintrc.js
 create mode 100644 packages/code-generator/test-cases/rax-app/demo1/expected/demo-project/.gitignore
 create mode 100644 packages/code-generator/test-cases/rax-app/demo1/expected/demo-project/README.md
 create mode 100644 packages/code-generator/test-cases/rax-app/demo1/expected/demo-project/abc.json
 create mode 100644 packages/code-generator/test-cases/rax-app/demo1/expected/demo-project/build.json
 create mode 100644 packages/code-generator/test-cases/rax-app/demo1/expected/demo-project/package.json
 create mode 100644 packages/code-generator/test-cases/rax-app/demo1/expected/demo-project/src/app.js
 create mode 100644 packages/code-generator/test-cases/rax-app/demo1/expected/demo-project/src/app.json
 create mode 100644 packages/code-generator/test-cases/rax-app/demo1/expected/demo-project/src/constants.js
 create mode 100644 packages/code-generator/test-cases/rax-app/demo1/expected/demo-project/src/document/index.jsx
 create mode 100644 packages/code-generator/test-cases/rax-app/demo1/expected/demo-project/src/global.scss
 create mode 100644 packages/code-generator/test-cases/rax-app/demo1/expected/demo-project/src/i18n.js
 create mode 100644 packages/code-generator/test-cases/rax-app/demo1/expected/demo-project/src/pages/Home/index.css
 create mode 100644 packages/code-generator/test-cases/rax-app/demo1/expected/demo-project/src/pages/Home/index.jsx
 create mode 100644 packages/code-generator/test-cases/rax-app/demo1/expected/demo-project/src/utils.js
 create mode 100644 packages/code-generator/test-cases/rax-app/demo1/schema.json5
 create mode 100644 packages/code-generator/test-cases/rax-app/demo2/expected/demo-project/.editorconfig
 create mode 100644 packages/code-generator/test-cases/rax-app/demo2/expected/demo-project/.eslintignore
 create mode 100644 packages/code-generator/test-cases/rax-app/demo2/expected/demo-project/.eslintrc.js
 create mode 100644 packages/code-generator/test-cases/rax-app/demo2/expected/demo-project/.gitignore
 create mode 100644 packages/code-generator/test-cases/rax-app/demo2/expected/demo-project/README.md
 create mode 100644 packages/code-generator/test-cases/rax-app/demo2/expected/demo-project/abc.json
 create mode 100644 packages/code-generator/test-cases/rax-app/demo2/expected/demo-project/build.json
 create mode 100644 packages/code-generator/test-cases/rax-app/demo2/expected/demo-project/package.json
 create mode 100644 packages/code-generator/test-cases/rax-app/demo2/expected/demo-project/src/app.js
 create mode 100644 packages/code-generator/test-cases/rax-app/demo2/expected/demo-project/src/app.json
 create mode 100644 packages/code-generator/test-cases/rax-app/demo2/expected/demo-project/src/constants.js
 create mode 100644 packages/code-generator/test-cases/rax-app/demo2/expected/demo-project/src/document/index.jsx
 create mode 100644 packages/code-generator/test-cases/rax-app/demo2/expected/demo-project/src/global.scss
 create mode 100644 packages/code-generator/test-cases/rax-app/demo2/expected/demo-project/src/i18n.js
 create mode 100644 packages/code-generator/test-cases/rax-app/demo2/expected/demo-project/src/pages/Home/index.css
 create mode 100644 packages/code-generator/test-cases/rax-app/demo2/expected/demo-project/src/pages/Home/index.jsx
 create mode 100644 packages/code-generator/test-cases/rax-app/demo2/expected/demo-project/src/utils.js
 create mode 100644 packages/code-generator/test-cases/rax-app/demo2/schema.json5
 create mode 100644 packages/code-generator/test-cases/rax-app/demo3/expected/demo-project/.editorconfig
 create mode 100644 packages/code-generator/test-cases/rax-app/demo3/expected/demo-project/.eslintignore
 create mode 100644 packages/code-generator/test-cases/rax-app/demo3/expected/demo-project/.eslintrc.js
 create mode 100644 packages/code-generator/test-cases/rax-app/demo3/expected/demo-project/.gitignore
 create mode 100644 packages/code-generator/test-cases/rax-app/demo3/expected/demo-project/README.md
 create mode 100644 packages/code-generator/test-cases/rax-app/demo3/expected/demo-project/abc.json
 create mode 100644 packages/code-generator/test-cases/rax-app/demo3/expected/demo-project/build.json
 create mode 100644 packages/code-generator/test-cases/rax-app/demo3/expected/demo-project/package.json
 create mode 100644 packages/code-generator/test-cases/rax-app/demo3/expected/demo-project/src/app.js
 create mode 100644 packages/code-generator/test-cases/rax-app/demo3/expected/demo-project/src/app.json
 create mode 100644 packages/code-generator/test-cases/rax-app/demo3/expected/demo-project/src/constants.js
 create mode 100644 packages/code-generator/test-cases/rax-app/demo3/expected/demo-project/src/document/index.jsx
 create mode 100644 packages/code-generator/test-cases/rax-app/demo3/expected/demo-project/src/global.scss
 create mode 100644 packages/code-generator/test-cases/rax-app/demo3/expected/demo-project/src/i18n.js
 create mode 100644 packages/code-generator/test-cases/rax-app/demo3/expected/demo-project/src/pages/Detail/index.css
 create mode 100644 packages/code-generator/test-cases/rax-app/demo3/expected/demo-project/src/pages/Detail/index.jsx
 create mode 100644 packages/code-generator/test-cases/rax-app/demo3/expected/demo-project/src/pages/Home/index.css
 create mode 100644 packages/code-generator/test-cases/rax-app/demo3/expected/demo-project/src/pages/Home/index.jsx
 create mode 100644 packages/code-generator/test-cases/rax-app/demo3/expected/demo-project/src/pages/List/index.css
 create mode 100644 packages/code-generator/test-cases/rax-app/demo3/expected/demo-project/src/pages/List/index.jsx
 create mode 100644 packages/code-generator/test-cases/rax-app/demo3/expected/demo-project/src/utils.js
 create mode 100644 packages/code-generator/test-cases/rax-app/demo3/schema.json5
 create mode 100644 packages/code-generator/test-cases/rax-app/demo4/README.md
 create mode 100644 packages/code-generator/test-cases/rax-app/demo4/expected/demo-project/.editorconfig
 create mode 100644 packages/code-generator/test-cases/rax-app/demo4/expected/demo-project/.eslintignore
 create mode 100644 packages/code-generator/test-cases/rax-app/demo4/expected/demo-project/.eslintrc.js
 create mode 100644 packages/code-generator/test-cases/rax-app/demo4/expected/demo-project/.gitignore
 create mode 100644 packages/code-generator/test-cases/rax-app/demo4/expected/demo-project/README.md
 create mode 100644 packages/code-generator/test-cases/rax-app/demo4/expected/demo-project/abc.json
 create mode 100644 packages/code-generator/test-cases/rax-app/demo4/expected/demo-project/build.json
 create mode 100644 packages/code-generator/test-cases/rax-app/demo4/expected/demo-project/package.json
 create mode 100644 packages/code-generator/test-cases/rax-app/demo4/expected/demo-project/src/app.js
 create mode 100644 packages/code-generator/test-cases/rax-app/demo4/expected/demo-project/src/app.json
 create mode 100644 packages/code-generator/test-cases/rax-app/demo4/expected/demo-project/src/constants.js
 create mode 100644 packages/code-generator/test-cases/rax-app/demo4/expected/demo-project/src/document/index.jsx
 create mode 100644 packages/code-generator/test-cases/rax-app/demo4/expected/demo-project/src/global.scss
 create mode 100644 packages/code-generator/test-cases/rax-app/demo4/expected/demo-project/src/i18n.js
 create mode 100644 packages/code-generator/test-cases/rax-app/demo4/expected/demo-project/src/pages/Home/index.css
 create mode 100644 packages/code-generator/test-cases/rax-app/demo4/expected/demo-project/src/pages/Home/index.jsx
 create mode 100644 packages/code-generator/test-cases/rax-app/demo4/expected/demo-project/src/utils.js
 create mode 100644 packages/code-generator/test-cases/rax-app/demo4/schema.json5
 create mode 100644 packages/code-generator/test-cases/rax-app/demo5/expected/demo-project/.editorconfig
 create mode 100644 packages/code-generator/test-cases/rax-app/demo5/expected/demo-project/.eslintignore
 create mode 100644 packages/code-generator/test-cases/rax-app/demo5/expected/demo-project/.eslintrc.js
 create mode 100644 packages/code-generator/test-cases/rax-app/demo5/expected/demo-project/.gitignore
 create mode 100644 packages/code-generator/test-cases/rax-app/demo5/expected/demo-project/README.md
 create mode 100644 packages/code-generator/test-cases/rax-app/demo5/expected/demo-project/abc.json
 create mode 100644 packages/code-generator/test-cases/rax-app/demo5/expected/demo-project/build.json
 create mode 100644 packages/code-generator/test-cases/rax-app/demo5/expected/demo-project/package.json
 create mode 100644 packages/code-generator/test-cases/rax-app/demo5/expected/demo-project/src/app.js
 create mode 100644 packages/code-generator/test-cases/rax-app/demo5/expected/demo-project/src/app.json
 create mode 100644 packages/code-generator/test-cases/rax-app/demo5/expected/demo-project/src/constants.js
 create mode 100644 packages/code-generator/test-cases/rax-app/demo5/expected/demo-project/src/document/index.jsx
 create mode 100644 packages/code-generator/test-cases/rax-app/demo5/expected/demo-project/src/global.scss
 create mode 100644 packages/code-generator/test-cases/rax-app/demo5/expected/demo-project/src/i18n.js
 create mode 100644 packages/code-generator/test-cases/rax-app/demo5/expected/demo-project/src/pages/Home/index.css
 create mode 100644 packages/code-generator/test-cases/rax-app/demo5/expected/demo-project/src/pages/Home/index.jsx
 create mode 100644 packages/code-generator/test-cases/rax-app/demo5/expected/demo-project/src/utils.js
 create mode 100644 packages/code-generator/test-cases/rax-app/demo5/schema.json5
 create mode 100644 packages/code-generator/test/rax-app.test.ts
 create mode 100644 packages/code-generator/test/utils/expressionParser/parseExpressionConvertThis2Context.test.ts
 create mode 100644 packages/code-generator/test/utils/expressionParser/parseExpressionGetGlobalVariables.test.ts
 create mode 100644 packages/code-generator/test/utils/version.test.ts
 create mode 100644 packages/datasource-engine/.gitignore
 create mode 100644 packages/datasource-engine/handlers/fetch/index.d.ts
 create mode 100644 packages/datasource-engine/handlers/fetch/index.js
 create mode 100644 packages/datasource-engine/handlers/mtop/index.d.ts
 create mode 100644 packages/datasource-engine/handlers/mtop/index.js
 create mode 100644 packages/datasource-engine/handlers/url-params/index.d.ts
 create mode 100644 packages/datasource-engine/handlers/url-params/index.js
 create mode 100644 packages/datasource-engine/package.json
 create mode 100644 packages/datasource-engine/src/core/DataSourceEngine.ts
 create mode 100644 packages/datasource-engine/src/core/RuntimeDataSource.ts
 create mode 100644 packages/datasource-engine/src/core/index.ts
 create mode 100644 packages/datasource-engine/src/handlers/fetch.ts
 create mode 100644 packages/datasource-engine/src/handlers/mtop.ts
 create mode 100644 packages/datasource-engine/src/handlers/url-params.ts
 create mode 100644 packages/datasource-engine/src/index.ts
 create mode 100644 packages/datasource-engine/src/types/DataSourceConfig.ts
 create mode 100644 packages/datasource-engine/src/types/DataSourceConfigItem.ts
 create mode 100644 packages/datasource-engine/src/types/DataSourceEngineOptions.ts
 create mode 100644 packages/datasource-engine/src/types/DataSourceOptions.ts
 create mode 100644 packages/datasource-engine/src/types/DataSourceResponse.ts
 create mode 100644 packages/datasource-engine/src/types/IDataSourceEngine.ts
 create mode 100644 packages/datasource-engine/src/types/IDataSourceEngineFactory.ts
 create mode 100644 packages/datasource-engine/src/types/IRuntimeContext.ts
 create mode 100644 packages/datasource-engine/src/types/IRuntimeDataSource.ts
 create mode 100644 packages/datasource-engine/src/types/RequestHandler.ts
 create mode 100644 packages/datasource-engine/src/types/RuntimeDataSourceStatus.ts
 create mode 100644 packages/datasource-engine/src/types/index.ts
 create mode 100644 packages/datasource-engine/src/typing.d.ts
 create mode 100644 packages/datasource-engine/tsconfig.json
 create mode 100644 packages/types/src/code-intermediate.ts
 create mode 100644 packages/types/src/code-result.ts

diff --git a/.eslintignore b/.eslintignore
index eaf713eb7..7b0cf9688 100644
--- a/.eslintignore
+++ b/.eslintignore
@@ -1,5 +1,7 @@
 # 忽略目录
 node_modules
+test-cases
+output
 build
 dist
 demo
